###########################################################################
## Talk System Data Base
###########################################################################

import Talk


###########################################################################
## Standard Dialogs
###########################################################################


## Alone: The player says these texts when there is not nobody faced
##-------------------------------------------------------------------------

TSDB.Alone = ["Is anybody there!",
	      "I don't like the look of this",
	      "Hello...I thought I heard something?",
	      "The place looks deserted"]

              
## Alone: The player says these texts when the faced character doesn't
## have assigned any dialogue.
##-------------------------------------------------------------------------
              
TSDB.Ignore = ["You are strangely quiet my friend.",
               "Ignore me then.....I care not",
               "Are you DEAF?.",
               "Hello there"]              
               
###########################################################################
## Customized dialogs for each character
###########################################################################

## Dlg Database:
## Format:
##    TSDB.Dlg [pers.Name]={
##           'dlgId': {
##              'Text':
##                """Texto libre""",
##               'Answers': ['ansId1',...'ansIdn']
##              'OtherKey': value
##           }
##    }
##
## * Text: The text will be formatted for TS.
## * Answer: List of answers (ansId). If the list is null [] the
##   conversation is stopped.
##  Please read the documentation to know the details
##
##-------------------------------------------------------------------------

###########################################################################
## Player Answers
###########################################################################

## Answers Database:
## Format:
##   TSDB.Ans [pers.Name]={
##	'ansId': {
##	    'Text':
##	     """Texto""",
##	    'NextDlg': 'ansId',
##	    'Enabled':1
##          'OtherKey': value
##       }
##    }
## * Text: The text will be formatted for TS.
## * NextDlg: The identifier of the next dialogue (dlgId). To stop a  
##   conversation: None.
##  Please reads the documentation to know the details
##-------------------------------------------------------------------------
##########################################################################################################################
####   Glofror: Master at Arms    ########################################################################################
##########################################################################################################################



TSDB.Dlg ["Glofror"]={
	'welcome': {
	   'Text':
	     """Welcome %PlayerName. Are you ready for the ordeal that lies before you? """,
           'Answers': ['yesiam','noimnot'],
           'CallBack':'LookAtMeWhenImTalkingToYou', 
           'NewDlg': None
        },
        'welcome2': {
	   'Text':
	     """So you have returned %PlayerName. Are you ready to go though the test once more? """,
           'Answers': ['yesiam','noimnot'],
           'CallBack':'LookAtMeWhenImTalkingToYou', 
           'NewDlg': None
        },
	'bravewords': {
	    'Text':
	     """Ha! Brave words my young friend! Let us hope your skill is equal to your courage. """\
	     """Here is a Journal wherein your progress will be recorded. It will also give you useful """\
	     """information where necessary. """,
	    'CallBack':'ProduceBook', 
            'Answers': ['weshallsee'],
            'NewDlg': None
        },
	'verywell': {
	    'Text':
	     """Very well. The first test is to prove yourself in unarmed combat. Your opponent awaits in """\
	     """the courtyard below. Now take the Journal and make your way down. """,
            'Answers': ['ready1'],
            'NewDlg': None
        },
	'lost1': {
	    'Text':
	     """Herbert has thrashed you soundly %PlayerName. I cannot allow you to continue. Goodbye. """,
	    'ExtraDlg': ['Herbert',
	    	         """Yes! Come back when you have learned to fight!"""],
	    'CallBack':'LookAtMeWhenImTalkingToYou', 
	    'Answers': ['notfit'],
            'NewDlg': None
        },
        'lost2': {
	    'Text':
	     """Well %PlayerName! Herbert has got the better of you. But you did well in spite of that."""\
	     """I will allow you to continue. Are you ready for the next challenge? """,
	    'ExtraDlg': ['Herbert',
	    	         """You nearly beat me %PlayerName! You should carry on."""],
            'Answers': ['ready2go'],
            'NewDlg': None
        },
        'drink1': {
	    'Text':
	     """Here is a piece of cheese. It will restore some of your strength.  """,
	    'CallBack':'GetCheese', 
            'Answers': ['yummy1'],
            'NewDlg': None
        },
        'ifwon': {
	    'Text':
	     """Would you indeed! Well if you had won you might have got one..... """,
	     'ExtraDlg': ['Herbert',
	    	         """I will eat it if you don't want it!"""],
            'Answers': ['ungrateful'],
            'NewDlg': None
        },
        'pit': {
	    'Text':
	     """You are eager my friend. Take the cheese and follow me. """,
	    'CallBack':'LetGo2',
            'Answers': [],
            'NewDlg': None
        },
        'won1': {
	    'Text':
	     """That was a great fight %PlayerName! Few are the people who have knocked Herbert to the ground. """,
	    'ExtraDlg': ['Herbert',
	    	         """Owwww!...My head hurts!"""],
            'Answers': ['form'],
            'NewDlg': None
        },
        'potion': {
	    'Text':
	    """As a reward, here is a potion to restore your health. You will need all your strength to """\
	    """face the next test.""",
	    'CallBack':'GetPotion', 
            'Answers': ['dowithit'],
            'NewDlg': None
        },
        'nexttest': {
	    'Text':
	     """Take the potion and follow me. """,
	    'ExtraDlg': ['Herbert',
	    	         """Good Luck %PlayerName. You will need it."""],
            'Answers': ['ready3'],
            'NewDlg': None
        },
        'won2': {
	    'Text':
	     """Ha! That was a close contest. Herbert nearly had you there """,
	    'ExtraDlg': ['Herbert',
	    	         """It was a lucky punch......."""],
            'Answers': ['fair'],
            'NewDlg': None
        },
        'potion2': {
	    'Text':
	     """Yes you look a little weary %PlayerName. Here is a potion to restore your strength. """\
	     """You will be glad of it in the next test.""",
	    'CallBack':'GetPotion', 
            'Answers': ['wotsnext'],
            'NewDlg': None  
        },
        'down': {
	    'Text':
	     """Listen carefully %PlayerName. The passage leads to the catacombs beneath the palace. """\
	     """You must find your way though the dark tunnels and find the Golden Amulet. Beware. There """\
	     """are creatures down there that defy all nature. And there may be ancient traps that are still """\
	     """active. Return alive with the Amulet and you have passed the test. """,
            'Answers': ['weapons'],
            'NewDlg': None
        },
        'find': {
	    'Text':
	     """As for weapons, you must use whatever you can find. You may procede when you are ready. """,
	     'ExtraDlg': ['Herbert',
	    	         """Look out for my Uncle Arngrimr. He went in three weeks ago """\
	    	         """and has not come out yet....."""],
	    'CallBack':'GlofrorPermission', 
	    'Answers': [], 
            'NewDlg': None
        },
        'welcomeback': {
	    'Text':
	     """Welcome back %PlayerName!  """,
	    'CallBack':'LookAtMeWhenImTalkingToYou', 
            'Answers': ['daylight'],
            'NewDlg': None
        },
        'report': {
	    'Text':
	     """Are you ready to procede to the next test?  """,
            'Answers': ['nexttest'],
            'NewDlg': None
        },
        'noteasy': {
	    'Text':
	     """Ha! You seem full of confidence. Your opponents will get stronger  """\
	     """and more cunning from here on. But before you carry on I must ask you to relinquish all """\
	     """your arms.""",
            'Answers': ['verywell'],
            'NewDlg': None
        },
        'seeaction': {
	    'Text':
	     """Ah, don't be too impatient my young warrior. You will see action soon enough. """\
	     """Follow me.""",
	    'CallBack':'FollowGlofror', 
            'Answers': [],
            'NewDlg': None
        },
        'disarm': {
	    'Text':
	     """Good. Now before you continue I must ask you to give up all the weapons you have collected. """,
            'Answers': ['verywell'],
            'NewDlg': None
        },
        'newweapon': {
	    'Text':
	     """Don't worry. I have an armoury full of fine weapons that you will be given when you are ready for them. """,
            'Answers': ['cantwait'],
            'NewDlg': None
        },
        'test10': {
	    'Text':
	     """When you are ready %PlayerName, walk to the centre of the arena and pick up the weapon that lies there. """,
            'Answers': ['whatnext'],
            'CallBack':'LookAtMeWhenImTalkingToYou', 
            'NewDlg': None
        },
        'before': {
	    'Text':
	     """Hmmm, nothing you have not met before methinks. But don't be too complacent, they may have learned new tricks, """\
	     """but I can say no more. Procede when you are ready.""",
            'Answers': ['whatnext'],
            'HideDelay':16, 
            'CallBack':'RevealLevel10Weapon', 
            'NewDlg': None
        },
        'test11': {
	    'Text':
	     """Well done %PlayerName! Ha-ha! You have certainly made a mess of my nice tidy arena! """\
	     """....Herbert! Collect up all these weapons and scrape all the blood off the floor. """,
	     'ExtraDlg': ['Herbert',
	    	         """I have brought a bucket and shovel Glofror. """],	         
            'Answers': ['sorryherb'],
            'NewDlg': None
        },
        'followme11': {
	    'Text':
	     """Armour you say! Well that might be arranged. But you will have to earn it. Let us return """\
	     """to the Armoury and test your skill with bow and arrow. """,
	     'ExtraDlg': ['Herbert',
	    	         """It is a dirty job, but someone has to do it. """],	         
            'Answers': ['leadon'],
            'NewDlg': None
        },
        'getbow': {
	    'Text':
	     """Pick out a bow %PlayerName. Then step onto the firing platform. The maximum score with """\
	     """one quiver is five hundred. If you can achieve over half that score, then you will be rewarded. """,
	     'ExtraDlg': ['Herbert',
	    	         """Do not try and save the game until you have completed this test! """],	 
            'Answers': ['haveago'],
            'NewDlg': None
        },
        'finshootexcellent': {
	    'Text':
	     """Excellent %PlayerName! You have the eye of an Hawk..... Herbert! Get this fine warrior some good armour. """,
	     'ExtraDlg': ['Herbert',
	    	         """I will see what I can find Glofror """],	
	    'CallBack':'HerbertGetTheArmourOut1',    
            'Answers': ['goody'],
            'NewDlg': None
        },
        'finshootgood': {
	    'Text':
	     """That was good %PlayerName! But I have seen better.... Herbert! Get this warrior some good armour. """,
	     'ExtraDlg': ['Herbert',
	    	         """I will see what I can find Glofror """],	
	    'CallBack':'HerbertGetTheArmourOut1',    
            'Answers': ['goody'],
            'NewDlg': None
        },
        'finshootnotbad': {
	    'Text':
	     """That was not too bad %PlayerName! But you need more practice.... Herbert! Get this warrior some good armour. """,
	     'ExtraDlg': ['Herbert',
	    	         """I will see what I can find Glofror """],	
	    'CallBack':'HerbertGetTheArmourOut1',    
            'Answers': ['goody'],
            'NewDlg': None
        },
        'finshootpoor': {
	    'Text':
	     """That was a rather poor performance %PlayerName! I thought we would be here till nightfall! """ \
	     """.....Herbert! Get this warrior some armour. """,
	     'ExtraDlg': ['Herbert',
	    	         """I will see what I can find Glofror """],	
	    'CallBack':'HerbertGetTheArmourOut1',    
            'Answers': ['goody'],
            'NewDlg': None
        },
        'finshootpathetic': {
	    'Text':
	     """By the Gods %PlayerName! You are not an archer to be sure! Still you suceeded in the end.      """\
	     """I must give you credit for perseverance anyway. """ \
	     """Herbert! Get this warrior some armour. """,
	     'ExtraDlg': ['Herbert',
	    	         """I will see what I can find Glofror """],	
	    'CallBack':'HerbertGetTheArmourOut1',    
            'Answers': ['goody'],
            'NewDlg': None
        },
        'oyes': {
	    'Text':
	     """Oh Yes! I have something for you that will test your skill. Herbert! Pick out a good weapon """\
	     """ as well.""",
	     'ExtraDlg': ['Herbert',
	    	         """Yes Glofror. I know just the one. """],	  
            'Answers': ['renowned'],
            'NewDlg': None
        },
        'asgood': {
	    'Text':
	     """Ha! A weapon is only as good as he who wields it! But come with me and I will tell you of your next test. """,
	    'CallBack':'GoToTable11',   
            'Answers': [],
            'NewDlg': None
        },
        'fineweapon': {
	    'Text':
	     """This is a fine weapon, it will suit you well %PlayerName, but before you may take it there is an extra """\
	     """test of skill. For that you must use another weapon. """,
	    'CallBack':'GlowWP11', 
            'Answers': ['wotsthatthen'],
            'NewDlg': None
        },
        'thisisit': {
	    'Text':
	     """Haha! This is it. We will see how good you are with a knife.  """,
	    'CallBack':'WhipItOut',
            'Answers': ['longtime'],
            'NewDlg': None
        },
        'sobeit': {
	    'Text':
	     """So be it %PlayerName. Now take the blade, put on your armour and go out to the courtyard. Leave  """\
	     """your weapons here. You may retrieve them later. Keep the bow. """,
	    'HideDelay':16, 
            'Answers': [],
            'NewDlg': None
        },
        'test11Xa': {
	    'Text':
	     """Nice work %PlayerName. You seem to have survived relatively unscathed. But now for some  """\
	     """real combat. Are you ready? """,
	    'CallBack':'LookAtMeWhenImTalkingToYou', 
            'Answers': ['l11ready','noimnot'],
            'NewDlg': None
        },
        'test11Xb': {
	    'Text':
	     """Nice work %PlayerName, but you seem to have suffered a few wounds. Are you sure you wish to go on?  """\
	     """I can offer you no Potions at this stage..... """,
	    'CallBack':'LookAtMeWhenImTalkingToYou', 
            'Answers': ['l11ready2','noimnot'],
            'NewDlg': None
        },
        'test11Xc': {
	    'Text':
	     """Good. You are all prepared. But beware, your next opponents are no mere hackers and  """\
	     """slashers. They are seasoned fighters. Are you sure you wish to procede? """,
	    'CallBack':'LookAtMeWhenImTalkingToYou', 
            'Answers': ['ready2'],
            'NewDlg': None
        },
        'bequick': {
	    'Text':
	     """As you say %PlayerName. Do not take all day. """,
	    'CallBack':'FixL11Weapons',
            'Answers': [],
            'NewDlg': None
        },
        'glofadvice1': {
	    'Text':
	     """Hmmmmm...You must try to relax.......  Herbert! Keep %PlayerName supplied with arrows. """,
	     'ExtraDlg': ['Herbert',
	    	         """Coming Glofror...... """],	
            'Answers': ['betterluck'],
            'NewDlg': None
        },
        'glofadvice2': {
	    'Text':
	     """You seem to be out of practice %PlayerName.  Herbert! Have we a good stock of arrows? """,
	     'ExtraDlg': ['Herbert',
	    	         """Do not worry Glofror. I have plenty ......"""],	
            'Answers': ['betterluck2'],
            'NewDlg': None
        },
        'glofadvice3': {
	    'Text':
	     """Ye Gods %PlayerName!  My Grandmother could shoot straighter than that! """,
	     'ExtraDlg': ['Herbert',
	    	         """I am wearing a groove in this floor! ......"""],	
            'Answers': ['betterluck3'],
            'NewDlg': None
        },
        'comein1': {
	    'Text':
	     """Well fought %PlayerName! You are no stranger to a bit of knife-work that's for sure. """\
	     """Come back inside and pick up your new weapons. """,
	     'ExtraDlg': ['Herbert',
	    	         """Hmmm.....where did I leave my bucket? """],	
            'Answers': ['berightthere'],
            'NewDlg': None
        },
        'comein2': {
	    'Text':
	     """Good %PlayerName! He was a skilled assassin, but no match for you.  """\
	     """Come back inside and pick up your new weapon. """,
            'Answers': ['berightthere'],
            'NewDlg': None
        },
        'comein3': {
	    'Text':
	     """Haha!....He nearly had you there %PlayerName!  """\
	     """Come back inside and pick up your new weapon. """,
	     'ExtraDlg': ['Herbert',
	    	         """Oh dear! I think we are out of bandages. Try not to bleed on my clean floor %PlayerName! """],	
            'Answers': ['berightthere2'],
            'NewDlg': None
        },
        'shootapple': {
	    'Text':
	     """Alright %PlayerName. Arngrimr is in disgrace for cheating on his test and for getting drunk, so I  """\
	     """have decided to teach him a lesson. You must shoot the apple on his head. If you suceed, you will be """\
	     """rewarded. """,
            'Answers': ['trueaim'],
            'NewDlg': None
        },
        'dontmind': {
	    'Text':
	     """Do not worry. He is a tough old Dwarf, but if you hit him  """\
	     """you will be disqualified. You have ten arrows only and you must keep this side of the boxes. """\
	     """You may procede when you are ready. """,
	     'ExtraDlg': ['Herbert',
	    	         """I have told him to keep very still Glofror. """],	
            'Answers': ['heregoes'],
            'NewDlg': None
        },
        'hitapple': {
	    'Text':
	     """Great Shot %PlayerName! You can get down now Arngrimr!  """\
	     """You are forgiven. """,
	     'ExtraDlg': ['Arngrimr',
	    	         """By the Gods! That has cured my headache and no mistake. """],	
            'Answers': ['reward1'],
            'NewDlg': None
        },
        'letsee': {
	    'Text':
	     """Yes. I think you have earned it.  Herbert! Go and find %PlayerName something suitable.  """,
	     'ExtraDlg': ['Herbert',
	    	         """I will go and have a search around Glofror. """],	
	    'CallBack':'HerbWalkOff', 
            'Answers': [],
            'NewDlg': None
        },
        'ohdear1': {
	    'Text':
	     """Oh Dear %PlayerName! You seem to have perforated Arngrimr a bit. I am afraid that I cannot award any """\
	     """prizes for that! But I do have a new weapon ready for you.  Herbert! have you got it ready? """,
	     'ExtraDlg': ['Herbert',
	    	         """Yes Glofror. It is inside. """],	
            'Answers': ['great1'],
            'NewDlg': None
        },
        'noprob1': {
	    'Text':
	     """Do not worry %PlayerName. The old devil has a hide like a rhinocerous.  """,
	     'ExtraDlg': ['Arngrimr',
	    	         """Think nothing of it %PlayerName. It is nought but a scratch....... """],	
	    'CallBack':'NoReward', 
	    'HideDelay':8, 
            'Answers': [],
            'NewDlg': None
        },
        'ohdear2': {
	    'Text':
	     """Oh Dear %PlayerName! You have shot his arm off. No rewards for you! """\
	     """I do have a new weapon for you. Let us go and inspect it while Herbert renders medical assistance. """,
	     'ExtraDlg': ['Herbert',
	    	         """Do not worry Uncle! I will soon fix it back on. """],	
            'Answers': ['great2'],
            'NewDlg': None
        },
        'noprob2': {
	    'Text':
	     """Do not worry %PlayerName. The old devil has had worse wounds than that. As long has he has  """\
	     """one good arm to lift his mug, he is happy! """,
	     'ExtraDlg': ['Arngrimr',
	    	         """'Tis but a fleshwound %PlayerName!  """],
	    'CallBack':'NoReward', 
	    'HideDelay':8, 	
            'Answers': [],
            'NewDlg': None
        },
        'ohdear3': {
	    'Text':
	     """Oh Dear %PlayerName! You have shot his head off! He will not like that at all! I am afraid I cannot grant  """\
	     """any rewards. You must content yourself with a new weapon. Let us go inside and inspect it.  Herbert! See """\
	     """if you can repair your old Uncle. """,
	     'ExtraDlg': ['Herbert',
	    	         """Hmmmmmm..... This is going to tax my healing skills to the utmost. """],	 
            'Answers': ['great3'],
            'NewDlg': None
         },
        'ohdear4': {
	    'Text':
	     """Oh Dear %PlayerName! You were far too close. No new armour for you.  """\
	     """You must content yourself with a new weapon. Let us go inside and inspect it. """,
	     'ExtraDlg': ['Herbert',
	    	         """Ha! Thought we were not paying attention did you. """],	 
            'Answers': ['great4'],
            'NewDlg': None
         },
        'ohdear5': {
	    'Text':
	     """Oh Dear %PlayerName! You have used all your arrows. No rewards for that performance I'm afraid.  """,
	     'ExtraDlg': ['Herbert',
	    	         """You can get down now Uncle! """],	 
            'Answers': ['great5'],
            'NewDlg': None
        },
        'noprob3': {
	    'Text':
	     """Do not worry %PlayerName. I am sure Herbert will fix it back on. He never used it much anyway.  """,
	     'ExtraDlg': ['Arngrimr',
	    	         """Can I get down now?  """],	
	    'CallBack':'NoReward', 
	    #'HideDelay':8, 
            'Answers': [],
            'NewDlg': None
        },
        'noprob4': {
	    'Text':
	     """You didn't think you were going to get away with such tricks did you?  """,
	     'ExtraDlg': ['Arngrimr',
	    	         """Can I get down now?  """],	
	    'CallBack':'NoReward', 
	    #'HideDelay':8, 
            'Answers': [],
            'NewDlg': None
        },
        'noprob5': {
	    'Text':
	     """I think you need more practice. But let us go inside and inspect your new weapon.  """,
	     'ExtraDlg': ['Arngrimr',
	    	         """I need the toilet very badly!  """],	
	    'CallBack':'NoReward', 
	    #'HideDelay':8, 
            'Answers': [],
            'NewDlg': None
        },
        'L14armour': {
	    'Text':
	     """Excellent!  Herbert has found you some nice shiny armour. Put it on and try out your new weapon. """,
	     'ExtraDlg': ['Herbert',
	    	         """I have given the armour a good polishing %Playername. """],
	    'CallBack':'GlofSetArmour', 
            'Answers': ['thanksboth'],
            'NewDlg': None
        },
        'moretocome': {
	    'Text':
	     """I am sure you will %PlayerName. But you must stay alert if you are to stay alive.  """,
            'Answers': [],
            'NewDlg': None
        },
        'L14weapon': {
	    'Text':
	     """This is your next weapon %Playername. It was made by Herbert many years ago and has never  """\
	     """tasted blood. I think you will make good use of it. """,
	     'ExtraDlg': ['Herbert',
	    	         """Why not pick it up and practice a few moves....  """],
	    'CallBack':'EnableWP14', 
            'Answers': ['thxforwp'],
            'NewDlg': None
        },
        'bracelet': {
	    'Text':
	     """As for your reward for not perforating Arngrimr, I fear I have no armour that would suit your  """\
	     """stlye of combat. But instead, take this Bracelet. It will give you protection for a short time. """\
	     """Use it wisely. It's power is not inexhaustable. """,
	    'CallBack':'GetBracelet', 
            'Answers': ['thanksforbrac'],
            'NewDlg': None
        },
        'inst2': {
	    'Text':
	     """Nothing that you cannot cope with %PlayerName. Now take up your new weapon.  """,
            'Answers': [],
            'NewDlg': None
        },
        'gearedup': {
	    'Text':
	     """Good! Now you are all equipped I will tell you of the next test. Out in the Arena is a lone Dwarf  """\
	     """beset by Orcs. You must help him fight them off. Your mission is to preserve his life and kill all """\
	     """enemies until you attain the next level. Are you ready? """,
	    'CallBack':'LookAtMeWhenImTalkingToYou', 
            'Answers': ['ready4'],
            'NewDlg': None
        },
        'L15welldone': {
	    'Text':
	     """Well done %Playername! You have prevailed against the Orcs and saved Crazydwarf. This will earn you  """\
	     """extra points. Now I would like you to meet my two apprentices, Zoe and Zoe. They will assist you in the next battle. """,	     
            'Answers': ['L15fit'],
            'NewDlg': None
        },
        'L15notwelldone': {
	    'Text':
	     """Well %Playername! You have prevailed against the Orcs, but have failed in your mission. """\
	     """ This will earn you no extra points. In fact I will deduct some. Now I would like you to """\
	     """ meet my two apprentices, Zoe and Zoe. They will assist you in the next battle. """,	     
            'Answers': ['L15fitA'],
            'NewDlg': None
        },
        'L15calmdown': {
	    'Text':
	     """You will see my friend. I have trained them personally. I am counting on you to see that they  """\
	     """do not get damaged too much! But first follow me. I have some fresh supplies for you......"""\
	     """Crazydwarf! Come with me. You part in this quest is finished. """,	
	     'ExtraDlg': ['Crazydwarf',
	    	         """Coming Glofror! """],	
	    'CallBack':'L15ComeHere',  
            'Answers': ['L15leadon'],
            'NewDlg': None
        },
        'L15calmdownA': {
	    'Text':
	     """You will see my friend. I have trained them personally. I am counting on you to see that they  """\
	     """do not get damaged too much! But first follow me. I have some fresh supplies for you......""",
	    'CallBack':'L15ComeHere',  
            'Answers': ['L15leadon'],
            'NewDlg': None
        },
        'L15inst': {
	    'Text':
	     """Here is a new weapon for you %Playername. Take whatever you can carry and """\
	     """then go out to the centre of the Arena """\
	     """and await your next adversary.""",  
            'Answers': ['L15alright'],
            'NewDlg': None
        },
        'L15uright': {
	    'Text':
	     """You are very perceptive my friend. The test will not be easy. Good Luck!  """,
	    'CallBack':'L15NotEasy',
            'Answers': [],
            'NewDlg': None
        },
        'L16ReckoningA': {
	    'Text':
	     """Congratulations %PlayerName! You have seen my two young Amazons safely through the battle. """\
	     """This will earn you many extra points. Now, for the next test Herbert, has a new weapon for you. """, 
	     'ExtraDlg': ['Herbert',
	    	         """Here it is %PlayerName. """],	
	    'CallBack':'HerbDrawL16WP',
            'Answers': ['looksawsome'],
            'NewDlg': None
        },
        'L16ReckoningB': {
	    'Text':
	     """You have survived %PlayerName, but at the cost of both of my young Amazons. This will earn you """\
	     """no extra points. But let us return to your quest. Herbert has a new weapon for you. """, 
	     'ExtraDlg': ['Herbert',
	    	         """Here it is %PlayerName. """],	
	    'CallBack':'HerbDrawL16WP',
            'Answers': ['looksawsome'],
            'NewDlg': None
        },
        'L16ReckoningC': {
	    'Text':
	     """You have survived %PlayerName, but one of my young Amazons is dead. This will earn you """\
	     """no extra points. But let us return to your quest. Herbert has a new weapon for you. """, 
	     'ExtraDlg': ['Herbert',
	    	         """Here it is %PlayerName. """],	
	    'CallBack':'HerbDrawL16WP',
            'Answers': ['looksawsome'],
            'NewDlg': None
        },
        'L16Test': {
	    'Text':
	     """Take the weapon %PlayerName. Then walk to the far end of the Arena and await your fate. """,
	     'ExtraDlg': ['Herbert',
	    	         """Good Luck."""],
	    'CallBack':'EnableL16Trigg',	
            'Answers': [],
            'NewDlg': None
        },
        'bigbarbisdead': {
	    'Text':
	     """Good work %PlayerName. Now follow me back to the armoury while Herbert sets up your next test. """\
	     """You look as if you need a short rest """,
            'Answers': ['L18imtired'],
            'NewDlg': None
        },
        'L18moretocome': {
	    'Text':
	     """Ha! If all our enemies were easy to defeat, life would be very boring. Let us depart...... """,
	    'CallBack':'BackToWestDoor',	
            'Answers': [],
            'NewDlg': None
        },
        'L18whatsnext': {
	    'Text':
	     """Here are some more items that you may be able to make use of. Tell me when you are ready """\
	     """for the next test. """,
            'Answers': ['L18ready'],
            'NewDlg': None
        },
        'L18ok': {
	    'Text':
	     """Good idea %PlayerName. I will be here when you are ready to procede. """,
	    'CallBack':'L18GlofrorFinInst',
	    'HideDelay':7, 
            'Answers': [],
            'NewDlg': None
        },
        'L18fininst': {
	    'Text':
	     """Are you all prepared %PlayerName? """,
            'Answers': ['L18readyforaction'],
            'NewDlg': None
        },
        'lastweapon': {
	    'Text':
	     """Ha-ha!...I see that you have messed up my floor again %PlayerName! You have proved yourself a master """\
	     """of weapons and tactics. Here is your last weapon for the time being..........  """\
	     """Arngrimr! Take your barrow and shift all those bits of broken Golem. """,
	     'ExtraDlg': ['Arngrimr',
	    	         """Right away Glofror! """],	
	    'CallBack':'MoveWheelBarrow',
            'Answers': ['uptoit'],
            'NewDlg': None
        },
        'already': {
	    'Text':
	     """Oh do not worry about Arngrimr. He is stronger than he looks and he can move very fast when he is sober. """\
	     """Why, I do believe he has finished already! """\
	     """ Now the floor is cleared you may go forth and face your next """\
	     """adversary. He awaits you at the far end of the Arena. When you have defeated him, you may rest until """\
	     """nightfall. We will speak again before the final conflict. """,
	     'ExtraDlg': ['Herbert',
	    	         """Good Luck %PlayerName! """],
	    'CallBack':'SetUpDal',
	    'HideDelay':25, 
            'Answers': [],
            'NewDlg': None
        },
        'lastenemy': {
	    'Text':
	     """Well done %PlayerName! Now your trial is nearing the conclusion. One enemy remains, but you will  """\
	     """need all your skill to prevail against him. For this fight you will be allowed to use the """\
	     """sword of the Goddess Ianna. Is the sacred blade ready Herbert? """,
	     'ExtraDlg': ['Herbert',
	    	         """Aye Glofror! I have honed the edge to perfection. """],
	    'CallBack':'CreateBladeSword',
            'Answers': ['powerstill'],
            'NewDlg': None
        },
        'bringithere': {
	    'Text':
	     """Take the Sword and bring it to me.  """,
	    'HideDelay':7, 
            'Answers': [],
            'NewDlg': None
        },
        'actsword': {
	    'Text':
	     """Now draw the sword and hold it aloft.  """,
            'Answers': ['drawsword'],
            'NewDlg': None
        },
        'invoke': {
	    'Text':
	     """By the Benificence of the Goddess Ianna! I Enpower the Scared Blade!  """,
            'Answers': ['wowee'],
            'NewDlg': None
        },
        'goforth': {
	    'Text':
	     """That you do not need to know %PlayerName. Now go forth into the darkness and  """\
	     """meet the last enemy.""",
            'Answers': ['heregoes2'],
            'NewDlg': None
        },
        'theend1': {
	    'Text':
	     """Congratulations %Playername. You have reached the end of the test and you did not get killed!  """\
	     """You may take the path straight ahead to the gilded doors and enter the Hall of Heroes. Farewell my friend.""",
            'Answers': ['farewell1'],
            'NewDlg': None
        },
        'theend2': {
	    'Text':
	     """Well %Playername, it is a nice sunny morning and your test is at an end. You did get killed a few times  """\
	     """but in general you have aquitted yourself with honour. You have not achieved the right to pass though"""\
	     """the gilded doors to the Hall of Heroes, but you may leave by the right-hand path. Farewell by friend. """,
            'Answers': ['farewell2'],
            'NewDlg': None
        },
        'theend3': {
	    'Text':
	     """Well here we must part %PlayerName. Your performance was not very impressive. You must leave by the left-hand  """\
	     """path. I hope you will return again one day. Farewell.""",
            'Answers': ['farewell3'],
            'NewDlg': None
        },
        'theend4': {
	    'Text':
	     """Well that was an asolutely pathetic performance %PlayerName. You leave this place in disgrace!  """\
	     """Take the left-hand path and return to your homeland. return again when you can call yourself a true warrior.""",
            'Answers': ['farewell4'],
            'NewDlg': None
        }
}


##############################################################
##############################################################


TSDB.Ans ["Glofror"]={
	'yesiam': {
	    'Text':
	     """Indeed I am Glofror! I will face any enemy that you care to set against me! """,
	    'NextDlg': 'bravewords',
	    'Enabled':1
	},	
	'noimnot': {
	    'Text':
	     """Errrr... no. I have changed my mind. I want to go home! """,
	    'CallBack':'Exit2', 
	    'NextDlg': None,
	    'Enabled':1
        },	
	'weshallsee': {
	    'Text':
	     """Thank you Glofror. I will read it with interest. Bring on the first challenge.  """,
	    'NextDlg': 'verywell',
	    'Enabled':1
        },
	'ready1': {
	    'Text':
	     """I am ready. """,
	    'CallBack':'LetGo',
	    'NextDlg': None,
	    'Enabled':1
	},
	'notfit': {
	    'Text':
	     """Alas! You are quite correct Glofror. I will return to my homeland in shame.......  """,
	    'CallBack':'Exit', 
	    'NextDlg': None,
	    'Enabled':1
        },
	'ready2go': {
	    'Text':
	     """Thank you. Yes I will continue. But I feel a little weak. """,
	    'NextDlg': 'drink1',
	    'Enabled':1
	}, 
	'yummy1': {
	   'Text':
	    """I would sooner have a mug of ale. """,
	   'NextDlg': 'ifwon',
	   'Enabled':1
	}, 
	'ungrateful': {
	   'Text':
	    """I'm sorry Glofror. I do not mean to be ungrateful. It is a most excellent cheese.  """\
	    """But what is the next challenge? """,
	   'NextDlg': 'pit',
	   'Enabled':1
	}, 
	'form': {
	   'Text':
	    """Thank you. I am feeling on form to-day. """,
	   'NextDlg': 'potion',
	   'Enabled':1
	}, 
	'dowithit': {
	   'Text':
	    """I do feel a little weak. Thank you again.  """, 
	   'NextDlg': 'nexttest',
	   'Enabled':1
	}, 
	'ready3': {
	   'Text':
	    """Lead on Glofror. Once I have drunk the potion, I will be ready for anything. """,
	   'CallBack':'LetGo3',
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'fair': {
	   'Text':
	    """Don't be a bad loser Herbert! You gave me more than a few bruises! """,
	   'NextDlg': 'potion2',
	   'Enabled':1
	}, 
	'wotsnext': {
	   'Text':
	    """Many thanks Glofror. What is the next challenge? """,
	   'NextDlg': 'nexttest',
	   'Enabled':1
	}, 
	'weapons': {
	   'Text':
	    """I am prepared Glofror, but am I to face this peril unarmed? """,
	   'NextDlg': 'find',
	   'Enabled':1
	}, 
	'bebak': {
	   'Text':
	    """I'll be back. """,
	   'CallBack':'LetGo',
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'daylight': {
	   'Text':
	    """Greetings Glofror!. It is good to see daylight again. """,
	   'NextDlg': 'report',
	   'Enabled':1
	}, 
	'nexttest': {
	   'Text':
	    """I certainly am. """,
	   'NextDlg': 'noteasy',
	   'Enabled':1
	}, 
	'verywell': {
	   'Text':
	    """Very well Glofror, if you insist. """,
	   'CallBack':'EmptyInventory',
	   'NextDlg': 'newweapon',
	   'Enabled':1
	}, 
	'cantwait': {
	   'Text':
	    """I cannot wait to try them out.  """,
	   'NextDlg': 'seeaction',
	   'Enabled':1
	}, 
	'whatnext': {
	   'Text':
	    """I am prepared for anything you can set against me! What foul creatures have you in store for me this time?  """,
	   'NextDlg': 'before',
	   'Enabled':1
	}, 
	'sorryherb': {
	   'Text':
	    """I am sorry Herbert. These Orcs do bleed a lot. But I am in fighting mood now and am eager to """\
	    """slay more enemies. But I could use some Armour. """,
	   'NextDlg': 'followme11',
	   'Enabled':1
	}, 
	'leadon': {
	   'Text':
	    """Lead on Master Glofror """,
	   'CallBack':'BackToArmoury11',
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'haveago': {
	   'Text':
	    """I am not sure what you are talking about Herbert, but I will see if I still have my archery skills. """,
	   #'CallBack':'LetGo',
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'goody': {
	   'Text':
	    """Thank you Glofror. Do I get a new weapon also? """,
	   'NextDlg': 'oyes',
	   'Enabled':1
	}, 
	'renowned': {
	   'Text':
	    """You are renowned for the quality of your weapons Glofror. """,
	   'NextDlg': 'asgood',
	   'Enabled':1
	}, 
	'wotsthatthen': {
	   'Text':
	    """Hmmm....Sounds interesting. Something special perhaps? """,
	   'NextDlg': 'thisisit',
	   'Enabled':1
	}, 
	'longtime': {
	   'Text':
	    """Well......It is a long time since I used such an ignoble blade, but I accept the challenge. """,
	   'NextDlg': 'sobeit',
	   'Enabled':1
	}, 
	'l11ready': {
	   'Text':
	    """Yes Glofror. I will pick up my weapons and return for your instructions. """,
	   'NextDlg': 'bequick',
	   'Enabled':1
	}, 
	'l11ready2': {
	   'Text':
	    """Yes Glofror. These few stratches do not bother me. I will pick up my weapons and return for your instructions. """,
	   'NextDlg': 'bequick',
	   'Enabled':1
	}, 
	'ready2': {
	   'Text':
	    """I am ready. """,
	   'CallBack':'Level11ArenaStart',
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'betterluck': {
	   'Text':
	    """Errr.....I was just testing the range that time. """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'betterluck2': {
	   'Text':
	    """I think some of these arrows are bent! """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'betterluck3': {
	   'Text':
	    """Errrrr....there must be a strong crosswind...... """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'berightthere': {
	   'Text':
	    """Ha! He did not like a touch of cold steel! """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'berightthere2': {
	   'Text':
	    """Hmmmmm......so much for sympathy! """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'trueaim': {
	   'Text':
	    """I see....... Well I hope for his sake that my aim is true. """,
	   'NextDlg': 'dontmind',
	   'Enabled':1
	}, 
	'heregoes': {
	   'Text':
	    """Very well Glofror. I will have a go....... """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'reward1': {
	   'Text':
	    """My aim must be improving, but what of the reward you spoke of Glofror? """,
	   'NextDlg': 'letsee',
	   'Enabled':1
	}, 
	'great1': {
	   'Text':
	    """Sorry about that. I hope that I have not done him irreparable damage. """,
	   'NextDlg': 'noprob1',
	   'Enabled':1
	}, 
	'great2': {
	   'Text':
	    """My sincere apologies! I hope it will soon grow back. """,
	   'NextDlg': 'noprob2',
	   'Enabled':1
	}, 
	'great3': {
	   'Text':
	    """Never mind Arngrimr! At least I cured your hangover! Now where is this new weapon Glofror? """,
	   'NextDlg': 'noprob3',
	   'Enabled':1
	}, 
	'great4': {
	   'Text':
	    """Oh well. I suppose it was worth a try......... """,
	   'NextDlg': 'noprob4',
	   'Enabled':1
	}, 
	'great5': {
	   'Text':
	    """There must be a strong crosswind in this yard...... """,
	   'NextDlg': 'noprob5',
	   'Enabled':1
	}, 
	'thanksboth': {
	   'Text':
	    """Thankyou both. I hope I will prove worthy to wear it. """,
	   'NextDlg': 'moretocome',
	   'Enabled':1
	}, 
	'thanksforbrac': {
	   'Text':
	    """Thanks again. I have a feeling I will be needing it. """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'thxforwp': {
	   'Text':
	    """Thankyou both. My adversaries are growing ever more dangerous! """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'ready4': {
	   'Text':
	    """I am ready """,
	   'CallBack':'L14GoToArena',
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'L15fit': {
	   'Text':
	    """By the Gods! They certainly look fit enough! Let us hope they fight as well as they look. """,
	   'NextDlg': 'L15calmdown',
	   'Enabled':1
	}, 
	'L15fitA': {
	   'Text':
	    """By the Gods! They certainly look fit enough! Let us hope they fight as well as they look. """,
	   'NextDlg': 'L15calmdownA',
	   'Enabled':1
	},
	'L15leadon': {
	   'Text':
	    """Thank you Glofror. Lead on. """,
	   'CallBack':'L15GoGetWPs',
	   'NextDlg': None,
	   'Enabled':1
	},
	'L15alright': {
	   'Text':
	    """Hmmmmm...There are a lot of health potions! I get the impression that I am in for something very unpleasant Glofror. """,
	   'NextDlg': 'L15uright',
	   'Enabled':1
	},
	'looksawsome': {
	   'Text':
	    """By the Beard of Gunnvaldr! That looks like a fearsome implement. You are indeed a  """\
	    """most skillful armourer Herbert. """,
	   'NextDlg': 'L16Test',
	   'Enabled':1
	},
	'L18imtired': {
	   'Text':
	    """Indeed Glofror. That last one was very formidable!  """,
	   'NextDlg': 'L18moretocome',
	   'Enabled':1
	},
	'L18ready': {
	   'Text':
	    """Thank you Glofror. I will take all the potions I can carry. Then I may have a brief stroll """\
	    """ around to clear my mind before the next conflict. """,
	   'NextDlg': 'L18ok',
	   'Enabled':1
	},
	'L18readyforaction': {
	   'Text':
	    """Yes Glofror. I am ready for some action. """,
	   'CallBack':'L18GoForIt',
	   'NextDlg': None,
	   'Enabled':1
	},
	'uptoit': {
	   'Text':
	    """That is a fine looking weapon Glofror.....Errrr... are you sure that poor old Dwarf is up to """\
	    """moving all those heavy arms and legs. """,
	   'NextDlg': 'already',
	   'Enabled':1
	},
	'powerstill': {
	   'Text':
	    """I am honoured indeed!  """,
	   'NextDlg': 'bringithere',
	   'Enabled':1
	},
	'drawsword': {
	   'Text':
	    """Very well Glofror.  """,
	   'CallBack':'HoldUpSword',
	   'NextDlg': 'invoke',
	   'Enabled':1
	},
	'wowee': {
	   'Text':
	    """Arrrgh! That was incredible Glofror. How did you do that?  """,
	   'NextDlg': 'goforth',
	   'Enabled':1
	},
	'heregoes2': {
	   'Text':
	    """I will return!  """,
	   'NextDlg': None,
	   'Enabled':1
	},
	'farewell1': {
	   'Text':
	    """Goodbye Glofror. I hope we meet again one day...............  """,
	   'CallBack':'LetGo3',
	   'NextDlg': None,
	   'Enabled':1
	},
	'farewell2': {
	   'Text':
	    """Goodbye Glofror. I hope to return one day and try again...........  """,
	   'CallBack':'LetGo3',
	   'NextDlg': None,
	   'Enabled':1
	},
	'farewell3': {
	   'Text':
	    """Goodbye Glofror. I will return to my home land and practice to improve my skills........  """,
	   'CallBack':'LetGo3',
	   'NextDlg': None,
	   'Enabled':1
	},
	'farewell4': {
	   'Text':
	    """Alas, you speak truly Glofror. I think I may seek alternative employment.............Goodbye.  """,
	   'CallBack':'LetGo3',
	   'NextDlg': None,
	   'Enabled':1
        }
}

###########################################################################################################################

TSDB.Dlg ["Corvik"]={
	'hithere': {
	   'Text':
	     """Good day to you %Type. What brings you to this remote outpost? """,
           'Answers': ['beingtested'],
           'CallBack':'CrowOn',
           'NewDlg': None
        },
        'iknowalot': {
	   'Text':
	     """Ah Yes! I have been around this old Palace for years. I have seen many things........ """\
	     """Look out for me and I will give you useful counsel. """,
           'Answers': ['suchas'],
           'NewDlg': None
        },
        'gems': {
	   'Text':
	     """Well if your eyes are sharp you may be able to find some of the magic gems. They are scattered """\
	     """here and there. Using them will give you protection against your enemies. """,
           'Answers': ['later'],
           'NewDlg': None
        },
        'secondhint': {
	   'Text':
	     """Hello again. Have you found any of the Magic Gems yet? """,
           'Answers': ['yesfound','nonotfound'],
           'NewDlg': None
        },
        'lookup': {
	   'Text':
	     """Look up on the ledge yonder. I left a blue one up there for you. It will give you """\
	     """extra energy for short periods. """,
           'Answers': ['usefulally'],
           'NewDlg': None
        },
        'purple': {
	   'Text':
	     """Look out for the purple ones. They are very rare, but they will create a magic shield around you. """,
           'Answers': ['bitofcheese'],
           'NewDlg': None
        },
        'watchoutformino': {
	   'Text':
	     """Hello. How are you getting on? """,
           'Answers': ['anymoreadvice'],
           'NewDlg': None
        },
        'morecrowinfo': {
	   'Text':
	     """Well.....there is a huge Minotaur with a Stone Club. He looks dangerous enough, but Herbert """\
	     """has been feeding him on extra-hot curry, so avoid standing behind him whatever you do. """,
           'Answers': ['bearthatinmind'],
           'NewDlg': None
        },
        'missiles': {
	   'Text':
	     """Still here are you? I have seen some big knights moving about. They are behind the doors """\
	     """at the far end. I think I saw some armour-piercing missiles in there as well. They may be useful to you """,
           'Answers': ['wellspotted'],
           'NewDlg': None
        },
        'bigbarbie1': {
	   'Text':
	     """Glofror has a huge Barbarian lined up for you. Be careful! He is a champion gladiator and very tough. """\
	     """Have you got a %UBwp ? If you have use it. You will stand a better chance. """,
           'Answers': ['fullofit'],
           'NewDlg': None
        },
        'bigbarbie2': {
	   'Text':
	     """That big Barbarian was very tough was he not? A %UBwp would be the best weapon to use on him. """,
           'Answers': ['nowyatellme'],
           'NewDlg': None
        },
        'daltricks1': {
	   'Text':
	     """Aha! You have to fight the Great Magician himself. Watch him. He is full of sneaky tricks. Just """\
	     """keep trying to hit him. As he weakens the ferocity of his evil minions will diminish also. """,
           'Answers': ['longfight'],
           'NewDlg': None
        },
        'salutation': {
	   'Text':
	     """Greetings %PlayerName. Yes, it is I who is really in charge around here. You have proved """\
	     """yourself worthy to join the Warrior Elite. A statue will be erected in your honour. May your  """\
	     """travels bring you to tread this hallowed path again.""",
           'Answers': ['finthanx'],
           'NewDlg': None
        },
        'salutation2': {
	   'Text':
	     """Hail to you %PlayerName! So you have returned once more and have triumphed. """\
	     """Another statue will be set up to acclaim your acheivement.  """,
           'Answers': ['finthanx2'],
           'NewDlg': None
        },
        'salutation3': {
	   'Text':
	     """Hello again %PlayerName. As you see, there are no more plinths on which to erect a new statue. """\
	     """this time you will be accorded the ultimate honour. You may enter the tomb of King whatsit and  """\
	     """claim his sword. All hail to thee %PlayerName, Warrior Supreme! """, 
	   'CallBack':'OpenTomb',
           'Answers': [],
           'NewDlg': None
	}
}	


TSDB.Ans ["Corvik"]={
	'beingtested': {
	    'Text':
	     """Well, good day to you my feathered friend! I am undertaking a series of trials to test """\
	     """my martial skills, such as they are. You look like a wise old bird. Have you any words of """\
	     """wisdom to impart? """, 
	    'NextDlg': 'iknowalot',
	    'Enabled':1
	},
	'suchas': {
	    'Text':
	     """Is there anything I should look out for? """,
	    'NextDlg': 'gems',
	    'Enabled':1
	},
	'later': {
	    'Text':
	     """I will be sure and search for them! Thank you. """,
	    'NextDlg': None,
	    'Enabled':1
	},
	'yesfound': {
	    'Text':
	     """Yes I have found the blue one. It was very useful. Thank you for the hint. """,
	    'NextDlg': 'purple',
	    'Enabled':1
	},
	'nonotfound': {
	    'Text':
	     """No I have not found any around the Arena. """,
	    'NextDlg': 'lookup',
	    'Enabled':1
	},
	'usefulally': {
	    'Text':
	     """You are a useful ally indeed! """,
	    'NextDlg': 'purple',
	    'Enabled':1
	},
	'bitofcheese': {
	    'Text':
	     """I will save you a nice piece of cheese as a reward for your help. """,
	    'NextDlg': None,
	    'Enabled':1
	},
	'anymoreadvice': {
	    'Text':
	     """I am  making progress, but some of these enemies are very tough. Have you any more advice? """,
	    'NextDlg': 'morecrowinfo',
	    'Enabled':1
	},
	'bearthatinmind': {
	    'Text':
	     """Thanks again. I will bear that in mind. """,
	    'NextDlg': None,
	    'Enabled':1
	},
	'wellspotted': {
	    'Text':
	     """You are a very useful ally. Forewarned is forearmed! """,
	    'NextDlg': None,
	    'Enabled':1
	},
	'fullofit': {
	    'Text':
	     """Thanks! You are full of interesting hints. """,
	    'NextDlg': None,
	    'Enabled':1
	},
	'nowyatellme': {
	    'Text':
	     """Errrrr...yes. I wish you had told me that before the fight. """,
	    'NextDlg': None,
	    'Enabled':1
	},
	'longfight': {
	    'Text':
	     """I think I am in for a long fight! """,
	    'NextDlg': None,
	    'Enabled':1
	},
	'finthanx': {
	    'Text':
	     """Thank you noble fowl! Maybe one day my steps will lead me back. Farewell.""",
	    'NextDlg': None,
	    'CallBack':'Finale1',
	    'Enabled':1
	},
	'finthanx2': {
	    'Text':
	     """Thank you Corvik. I may return again one day........""",
	    'NextDlg': None,
	    'CallBack':'Finale1',
	    'Enabled':1
	}
}


	    
###########################################################################################################################

TSDB.Dlg ["Arngrimr"]={
	'whothat': {
	   'Text':
	    """Who is that? Come closer """,
           'Answers': ['iamafriend'],
           'NewDlg': None
        },
        'sameasyou': {
	    'Text':
	     """I suspect I am on the same mission as you my friend. Alas I can go no further. There are some """\
	     """nasty skeletons lurking in the tunnel ahead. I could not defeat them so I retreated here. """\
	     """Fortunately I found this box of food and barrel of ale. Help yourself, you look hungry. """,
	    'Answers': ['dowithabite'],
            'NewDlg': None
         },
         'watchout': {
	    'Text':
	     """Sooner you than me %PlayerName. I have blunted my faithful Axe on the foul creatures. """\
	     """I will have a few more mugs of beer and then I will come with you! """,
	    'Answers': ['dontthinkso'],
            'NewDlg': None
         },
         'imnotdrunk': {
	    'Text':
	     """Are you suggesting that I am drunk! Let me tell you! I can take my ale. I could zzzzzzzzzzzzz """,
	    'Answers': [],
	    'HideDelay':7, 
	    'CallBack':'SleepItOff',
            'NewDlg': None
         },
         'L18hintok': {
	    'Text':
	     """Hello %PlayerName. How are you? """,
	    'Answers': ['L18iamok'],
            'NewDlg': None
         },
         'L18hintbod': {
	    'Text':
	     """Hello %PlayerName. How are you? """,
	    'Answers': ['L18iambod'],
            'NewDlg': None
         },
         'L18hintarm': {
	    'Text':
	     """Hello %PlayerName. How are you? """,
	    'Answers': ['L18iamarm'],
            'NewDlg': None
         },
         'L18hinthead': {
	    'Text':
	     """Hello %PlayerName. How are you? """,
	    'Answers': ['L18iamhead'],
            'NewDlg': None
         },
         'L18yesfineok': {
	    'Text':
	     """I am fine %PlayerName. Glofror has set me to tidying the courtyard, but I am happy to keep out of his way. """\
	     """ It is very dusty work so I am just having a nice mug of ale. Thank you for not shooting me by the way. """,
	    'Answers': ['L18allswell'],
            'NewDlg': None
         },
         'L18yesfinebod': {
	    'Text':
	     """I am fine %PlayerName. Glofror has set me to tidying the courtyard, but I am happy to keep out of his way. """\
	     """It is very dusty work so I am just having a nice mug of ale. Do not trouble yourself on my account. I have """\
	     """been shot more times than I care to remember! """,
	    'Answers': ['L18allswell'],
            'NewDlg': None
         },
         'L18yesfinearm': {
	    'Text':
	     """I am fine %PlayerName. Glofror has set me to tidying the courtyard, but I am happy to keep out of his way. """\
	     """It is very dusty work so I am just having a nice mug of ale. The arm is alright now. Herbert fixed it back """\
	     """on. He is a good lad..... """,
	    'Answers': ['L18allswell'],
            'NewDlg': None
         },
         'L18yesfinehead': {
	    'Text':
	     """I am fine %PlayerName. Glofror has set me to tidying the courtyard, but I am happy to keep out of his way. """\
	     """It is very dusty work so I am just having a nice mug of ale. Herbert managed to fix my head back on, as you """\
	     """can see, but he says I must on no account sneeze for at least three days. """,
	    'Answers': ['L18allswell'],
            'NewDlg': None
         },
         'L18lyinglow': {
	    'Text':
	     """Good Luck %PlayerName! Before you go  """\
	     """listen carefully....... I saw Herbert earlier moving some great statues about. They are """\
	     """Golems! Terrible monsters that can be animated with certain magic spells! I have travelled far """\
	     """in this world and I have learned many things. The Golem is a very tough adversary, but they have """\
	     """weaknesses. The stone ones will dull sharp weapons, but will crumble under a blunt one. The clay """\
	     """ones will do the opposite. Worst of all are the metal ones. They will repel any weapon, but the head """\
	     """very vunerable. It is not easy to hit, but a well-aimed arrow will do great damage if you have the nerve. """\
	     """Try and strike low. I have heard that their legs are very weak. """,
	    'Answers': ['L18thanx'],
            'NewDlg': None
         },
         'L18ledge': {
	    'Text':
	     """If you look around the Arena, you might find a potion and some arrows that """\
	     """I hid there. I will not be needing them now. They were just near....... Hark! I think """\
	     """I hear Herbert approach. I can say no more........""",
	    'Answers': [],
            'NewDlg': None
         },
         'imtired': {
	    'Text':
	     """How are you getting on %PlayerName ? They have got me pushing this big barrow and """\
	     """I have to collect up all the Golem bits and dump them in the canal. I should not be doing """\
	     """this heavy work at my age. I am very tired.......... """,
	    'Answers': [],
            'NewDlg': None
         }
}


TSDB.Ans ["Arngrimr"]={
	'iamafriend': {
	    'Text':
	     """Do not be alarmed. I mean you no harm. My name is %PlayerName. """\
	     """....What are you doing in this gloomy place? """,
	    'NextDlg': 'sameasyou',
	    'Enabled':1
	},
	'dowithabite': {
	    'Text':
	     """Hmmmm... Yes, I could use some refreshment. Then I will go and crunch some bones. """,
	    'NextDlg': 'watchout',
	    'Enabled':1
	},
	'dontthinkso': {
	    'Text':
	     """Do not worry old one. I have destroyed more skeltons than you have had barrels of ale. """\
	     """You look like you have nearly emptied that one! """,
	    'NextDlg': 'imnotdrunk',
	    'Enabled':1
	},
	'L18iamok': {
	    'Text':
	     """I am feeling fine. But how are you? """,
	    'NextDlg': 'L18yesfineok',
	    'Enabled':1
	},
	'L18iambod': {
	    'Text':
	     """I am feeling fine. But how are you? I am very sorry I hit you with that arrow! """,
	    'NextDlg': 'L18yesfinebod',
	    'Enabled':1
	},
	'L18iamarm': {
	    'Text':
	     """I am feeling fine. But how are you? I am very sorry I shot your arm off. Is it alright now? """,
	    'NextDlg': 'L18yesfinearm',
	    'Enabled':1
	},
	'L18iamhead': {
	    'Text':
	     """I am feeling fine. But how are you? I am very sorry I shot your head off. Did Herbert manage """\
	     """to fix it back on alright? """,
	    'NextDlg': 'L18yesfinehead',
	    'Enabled':1
	},
	'L18allswell': {
	    'Text':
	     """That's alright then. I am pleased to hear that you do not harbour grudges. Now I must report back to """\
	     """Glofror and get my instructions. """,
	    'NextDlg': 'L18lyinglow',
	    'Enabled':1
	},
	'L18thanx': {
	    'Text':
	     """That is very useful intelligence Arngrimr. Thank you very much. """,
	    'NextDlg': 'L18ledge',
	    'Enabled':1
	}
}	


###########################################################################################################################

TSDB.Dlg ["Herbert"]={
	'welcome': {
	   'Text':
	     """Hey There!... %PlayerName. Welcome back from the depths! Is that my Uncle Arngrimr dragging along """\
	     """behind you. Is he alright? """,
	     'ExtraDlg': ['Arngrimr',
	    	         """It was not the ale.........some of that cheese must have been bad.... """],
           'Answers': ['hangover'],
           'NewDlg': None
        },
        'opengate': {
	   'Text':
	     """Bad cheese be damned! You old fool! Get yourself inside and sober up!......    """\
	     """ %Playername! Glofror awaits at the end of the tunnel. I will open the gate. """,
	   'CallBack':'HerbOpenGate',
           'Answers': ['thankxherb'],
           'NewDlg': None
        },
        'compliments': {
	   'Text':
	     """Greetings %PlayerName. You seem to be enjoying yourself.  Glofror presents his compliments and """\
	     """requests that you join him back at the Armoury. """,
           'Answers': ['whatnext'],
           'NewDlg': None
        },
        'youllsee': {
	   'Text':
	     """You will see soon enough. Let us not keep him waiting...... """,
	   'CallBack':'BackToEastDoor',
	   'HideDelay':6, 
           'Answers': [],
           'NewDlg': None
        }
}


TSDB.Ans ["Herbert"]={
	'hangover': {
	    'Text':
	     """Hello Herbert! Don't worry! He found a barrel of ale. He only has a bad hangover. """,
	    'NextDlg': 'opengate',
	    'Enabled':1
	},
	'thankxherb': {
	    'Text':
	     """Many Thanks Herbert! """,
	    'NextDlg': None,
	    'Enabled':1
	},
	'whatnext': {
	    'Text':
	     """Thank you Herbert. What has he in store for me next? """,
	    'NextDlg': 'youllsee',
	    'Enabled':1
	}
}	
	
	
	
###########################################################################################################################

TSDB.Dlg ["Crazydwarf"]={
	'hi': {
	   'Text':
	     """By the Gods of Hell! Never in my life have I met such beasts! Your help was much apppreciated my friend. """\
	     """ You look familiar. Have we met before? """,
	   'CallBack':'LookAtMeWhenImTalkingToYou', 
           'Answers': ['didntyou'],
           'NewDlg': None
        },
        'noneother': {
	   'Text':
	     """Ah! I remember now. Are you not called %PlayerName? What was wrong with my cheese may I ask? """,
           'Answers': ['tough'],
           'NewDlg': None
        },
        'mayberight': {
	   'Text':
	     """Errrr....Well there may be some truth in what you say %PlayerName. But I like it, in fact I feel """\
	     """like having a nibble right now. Would YOU like some? """,
	   'CallBack':'CDcheese',
           'Answers': ['yesplz','nothx'],
           'NewDlg': None
        },
        'iwill': {
	   'Text':
	     """Oh well, more for me then.....hehe! """,
	   'CallBack':'CDeatcheese',
           'Answers': [],
           'NewDlg': None
        },
        'better': {
	   'Text':
	     """Ahh! I feel a lot better now. There is nothing like a nice piece of cheese """\
	     """after you have been set upon by a gang of Orcs. """,
           'Answers': ['gotanymore'],
           'NewDlg': None
        },
        'gotmore': {
	   'Text':
	     """Why yes. Here you are.""",
	   'CallBack':'CDcheese',
           'Answers': ['thx'],
           'NewDlg': None
        },
        'metoo': {
	   'Text':
	     """Well you look as if you enjoyed that. Would you like some more? """,
	   'CallBack':'CDcheese',
           'Answers': ['thximok'],
           'NewDlg': None
        },
        'inthatcase': {
	   'Text':
	     """Yes you look much better! I think I will have a quick nibble. """,
	   'CallBack':'CDeatcheese',
           'Answers': [],
           'NewDlg': None
        },
        'geton': {
	   'Text':
	     """Well, now that the cheese break if over and we are both fit again, I wonder what will happen next? """,
           'Answers': ['dunnobut'],
           'NewDlg': None
        },
        'whatwasthat': {
	   'Text':
	     """I am sure you are right about that %PlayerName. .....Wait! I think I hear distant footsteps.... """\
	     """Be on your guard! """,
           'Answers': ['couldberight'],
           'NewDlg': None
        },
        'secret': {
	   'Text':
	     """It is a secret recipe known only to me.......  """,
	   'CallBack':'LetGo2',
	   'HideDelay':6, 
           'Answers': [],
           'NewDlg': None
        },
        'illstayhere': {
	   'Text':
	     """Good idea. I'll stay here and keep watch. """,
	   'CallBack':'L14pt2',
	   'HideDelay':6, 
           'Answers': [],
           'NewDlg': None
        },
        'orksdead': {
	   'Text':
	     """The Orcs are all dead %PlayerName! And we both are still breathing. """,
           'Answers': ['fornothing'],
           'NewDlg': None
        },
        'aye': {
	   'Text':
	     """Yes %PlayerName. I think I hear him approach....... """,
	   'CallBack':'ReturnToDoor',
	   'HideDelay':6, 
           'Answers': [],
           'NewDlg': None
	}
}	


TSDB.Ans ["Crazydwarf"]={
	'didntyou': {
	    'Text':
	     """Hmmm......Did you once have a shop which sold some rather dubious cheese?   """,
	    'NextDlg': 'noneother',
	    'Enabled':1
	},
	'tough': {
	    'Text':
	     """Forgive me. I do not mean to cast aspersions on your cheeses, but you must admit it was slightly """\
	     """tough and why did every one have a chunk missing? """,
	    'NextDlg': 'mayberight',
	    'Enabled':1
	},
	'yesplz': {
	    'Text':
	     """Yes please! All this fighting has made me feel hungry. """,
	    'NextDlg': 'helpyourself',
	    'Enabled':1
	},
	'nothx': {
	    'Text':
	     """Thank you, but I will decline your kind offer. I do not think I could get my teeth into it. """,
	    'NextDlg': 'iwill',
	    'Enabled':1
	},
	'gotanymore': {
	    'Text':
	     """That was a remarkable cheese indeed! I think I maybe could manage to eat some. Have you any more?  """,
	    'NextDlg': 'gotmore',
	    'Enabled':1
	},
	'thx': {
	    'Text':
	     """Thank you. Just do not tell me what it is made of......  """,
	    'NextDlg': 'secret',
	    'Enabled':1
	},
	'thximok': {
	    'Text':
	     """Thank you, no. It was a fantastic cheese and has completely restored my strength, but one is  """\
	     """quite enough for me. """,
	    'NextDlg': 'inthatcase',
	    'Enabled':1
	},
	'dunnobut': {
	    'Text':
	     """I was hoping you might know, but whatever it is it is sure to be something dangerous. """,
	    'NextDlg': 'whatwasthat',
	    'Enabled':1
	},
	'couldberight': {
	    'Text':
	     """I think you are right my friend. I will go have a look around....... """,
	    'NextDlg': 'illstayhere',
	    'Enabled':1
	},
	'fornothing': {
	    'Text':
	     """Yes indeed my cheese-eating friend! I see now why you are called Crazydwarf. Let us """\
	     """report to Glofror. I have much work still to do. """,
	    'NextDlg': 'aye',
	    'Enabled':1
	}
}

###########################################################################################################################

TSDB.Dlg ["ChaosChild"]={
	'hello': {
	   'Text':
	     """Ah! Free at last I am! I owe you many thanks %Type. You have released me from the thrall of the """\
	     """ Dark Forces. I will behave myself from now on and not try to destroy the Universe anymore. """,
           'Answers': ['toomany'],
           'NewDlg': None
        },
        'wheresmeshirt': {
	   'Text':
	     """Oh, I am so sorry. have you seen my shirt? """,
           'Answers': ['noihavenot'],
           'NewDlg': None
        },
        'cutscene': {
	   'Text':
	     """I think maybe there will be a slow fade and you will be magically tranported to the next scene. """,
           'Answers': ['thinkyouareright'],
           'NewDlg': None
	}
}	


TSDB.Ans ["ChaosChild"]={
	'toomany': {
	    'Text':
	     """By the Gods! I finally defeat the Great Lord of Chaos and I end up with a lttle bald guy. """,
	    'CallBack':'LookAtMeWhenImTalkingToYou',
	    'NextDlg': 'wheresmeshirt',
	    'Enabled':1
	},
	'noihavenot': {
	    'Text':
	     """No I am afraid I have not. You must be freezing! I wonder what will happen next?  """,
	    'NextDlg': 'cutscene',
	    'Enabled':1
	},
	'thinkyouareright': {
	    'Text':
	     """I think you are right. I feel one coming on right now.......... """,
	    'CallBack':'InitFinalReckoning',
	    'NextDlg': None,
	    'Enabled':1
	}
}

###########################################################################################################################
######################### Journal #########################################################################################
###########################################################################################################################

TSDB.JrlTxt = {
	'foundnote':
	    """Hope you had a good sleep %PlayerName. There is a new weapon for you in the Arena. You will """\
	    """have to search for it. Watch out for the Spooks.........Glofror. """, 
	'L10wpinfoA':
	    """WEAPON:  Trident...........Power 75.  Combos:  Sea Smash / Killer Strike / Overhead Smash """,
	'L10wpinfoB':
	    """WEAPON:  Long Sword....... Power 80.  Combos:  Hell Swing """,
	'L10wpinfoD':
	    """WEAPON:  Sharp Axe.........Power 75.  Combos:  Body Chop / Slash Back / Beast Crash """,
	'L10wpinfoK':
	    """WEAPON:  Heavy Mace........Power 70.  Combos:  Lord Kermans Smash """,
	'L11wpinfoA':
	    """WEAPON:  Axe Spear........ Power 95.  Combos:  Spin Slash """,
	'L11wpinfoB':
	    """WEAPON:  Slaying Sword....Power 100.  Combos:  Hell Swing / Bloodlust """,
	'L11wpinfoD':
	    """WEAPON:  War Hammer........Power 95.  Combos:  Bonebreaker  """,
	'L11wpinfoK':
	    """WEAPON:  Light Edge........Power 90.  Combos:  The Dream / Hook Sweep """,
	'L14wpinfoA':
	    """WEAPON:  Crosspear........ Power 160.  Combos:  Dark Star / Spin Slash / Lightning Cut""",
	'L14wpinfoB':
	    """WEAPON:  Flat Sword....    Power 100.  Combos:  Destroyer / Hell Swing """,
	'L14wpinfoD':
	    """WEAPON:  Heavy Club........Power 175.  Combos:  Brutality / Bonebreaker  """,
	'L14wpinfoK':
	    """WEAPON:  Dagesse...........Power 150.  Combos:  Tumblestab /The Dream / Soul of Honour """,
	'L18wpinfoA':
	    """WEAPON:  Harpoon.......... Power 390.  Combos:  Gut Wrencher / Blinding Slice """,
	'L18wpinfoB':
	    """WEAPON:  Big Death Sword...Power 380.  Combos:  Death Sweep / Hellswing """,
	'L18wpinfoD':
	    """WEAPON:  Big Great Hammer..Power 400.  Combos:  Earthquake / Bonebreaker  """,
	'L18wpinfoK':
	    """WEAPON:  Double Sword......Power 380.  Combos:  Wrath of the Gods /The Dream  """,
	}